// MAP --------------

@import "./src/lib/core/variables";

.map {
  padding-top: 125px;
  text-align: center;

  @include mq("desktop-fullhd", "max") {
    padding-top: 80px;
  }

  @include mq("tablet", "max") {
    padding-top: 40px;
  }

  @include mq("phone-large", "max") {
    padding-top: 20px;
  }
}

.school-list {
  display: flex;
}

.school-list__item {
  display: flex;
  justify-content: center;
  width: (100% / 3);
  color: $color-primary;
  font-size: $text-size-l;
  text-align: center;

  @include mq("laptop", "max") {
    font-size: 30px;
  }

  @include mq("tablet", "max") {
    flex-direction: column;
    font-size: 25px;
  }

  b {
    margin-right: 15px;
    color: $color-secondary;

    @include mq("laptop", "max") {
      margin-right: 5px;
    }

    @include mq("tablet", "max") {
      margin-right: 0;
    }
  }
}

.map__label {
  margin-top: 55px;
  font-size: $text-size-s;
  text-align: center;

  @include mq("tablet", "max") {
    margin-top: 15px;
  }
}

.map__wrapper {
  width: 100%;
  height: 760px;
  margin-top: 30px;
  overflow: hidden;

  @include mq("desktop-fullhd", "max") {
    height: 550px;
  }

  @include mq("latop", "max") {
    height: 450px;
  }

  @include mq("latop-small", "max") {
    height: 300px;
  }

  @include mq("tablet", "max") {
    height: 250px;
  }
}

.map__google-map {
  width: 100%;
  height: 100%;
}
/* ================ end map screen */
